<template>
  <div class="the-navbar">
    <nav class="navbar is-transparent" role="navigation" aria-label="main navigation">
      <div class="container">
        <div class="navbar-brand">
          <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="main-navbar">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
          </a>
        </div> <!-- navbar-brand -->

        <label for="menu-toggle" class="nav-toggle">
          <span></span>
          <span></span>
          <span></span>
        </label>

        <div id="main-navbar" class="navbar-menu">

          <div class="navbar-start">


          </div> <!-- navbar-start -->

          <div class="navbar-end" v-if="this.$store.getters.isAuthenticated">
            <router-link
             class="navbar-item"
             v-for="(link, index) in links"
             :key="index"
             :to="link.path">
             {{ link.meta.label }}
            </router-link>
            <b-dropdown aria-role="list">
              <a class="navbar-item is-text" slot="trigger">
                <span>{{ this.$store.getters.user.name }}</span>
                <b-icon icon="menu-down"></b-icon>
              </a>

              <b-dropdown-item aria-role="listitem" v-if="this.$store.getters.user.role == 'admin'">
                <router-link to="/admin/">
                Acesse a área administrativa
                </router-link>
              </b-dropdown-item>
              <b-dropdown-item
                aria-role="listitem"
                :has-link="true"
                v-if="this.$store.getters.user.role == 'admin'">
                <router-link to="/admin/ramais">Ramais</router-link>
              </b-dropdown-item>
              <b-dropdown-item aria-role="listitem" :has-link="true">
                <router-link to="/sair">Sair</router-link></b-dropdown-item>
            </b-dropdown>
          </div> <!-- navbar-end -->
          <div class="navbar-end" v-else>
            <router-link
             class="navbar-item"
             v-for="(link, index) in links"
             :key="index"
             :to="link.path">
             {{ link.meta.label }}
            </router-link>
            <router-link
              class="navbar-item"
              :to="{ name: 'login'}">
							<b-icon icon="login" style="margin-right:4px;"></b-icon>
              Acessar
            </router-link>
          </div> <!-- navbar-end -->

        </div> <!-- main-navbar -->

      </div> <!-- container -->
    </nav>
  </div>
</template>

<script>
import routes from '@/router'
require('@/assets/js/navbar-burguer.js')

export default {
  name: 'TheNavbar',
  props: {
    msg: String
  },
  data: function ()  {
    return {
      links: Array
    }
  },
  created () {
    this.getLinks()
  },
  methods: {
    getLinks() {
      var output = []
      var aux = routes.options.routes
      for (var i = 0; i < aux.length; i++) {
        if (aux[i].meta.navbar)
          output.push(aux[i])
      }
      this.links = output
    }
  }
}

</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
